declare class Validator {
    errors: any;
    successful: boolean;
    processing: boolean;
    constructor();
    add(attribute: string, message: string): void;
    has(field: any | any[]): boolean;
    first(field: any | any[]): string;
    missed(field?: any): boolean;
    nullState(field?: any): boolean | null;
    any(fields?: any[], returnObject?: boolean): boolean | string[] | any;
    get(field: string): string | string[];
    all(): string | string[];
    fill(errors: any): void;
    flush(): void;
    clear(attribute?: string | string[]): void;
    isValid(): boolean;
    onKeydown(event: any, prefix?: string): void;
}
export type { Validator as ValidatorType };
declare const _default: Validator;
export default _default;
